diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-admin-bar.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-admin-bar.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-admin-bar.php	2013-06-19 03:15:04.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-admin-bar.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 46,52 ****
  		add_action( 'admin_head', 'wp_admin_bar_header' );
  
  		if ( current_theme_supports( 'admin-bar' ) ) {
! 			$admin_bar_args = get_theme_support( 'admin-bar' ); // add_theme_support( 'admin-bar', array( 'callback' => '__return_false') );
  			$header_callback = $admin_bar_args[0]['callback'];
  		}
  
--- 46,56 ----
  		add_action( 'admin_head', 'wp_admin_bar_header' );
  
  		if ( current_theme_supports( 'admin-bar' ) ) {
! 			/**
! 			 * To remove the default padding styles from WordPress for the Toolbar, use the following code:
! 			 * add_theme_support( 'admin-bar', array( 'callback' => '__return_false' ) );
! 			 */
! 			$admin_bar_args = get_theme_support( 'admin-bar' );
  			$header_callback = $admin_bar_args[0]['callback'];
  		}
  
***************
*** 58,63 ****
--- 62,72 ----
  		wp_enqueue_script( 'admin-bar' );
  		wp_enqueue_style( 'admin-bar' );
  
+ 		/**
+ 		 * Fires after WP_Admin_Bar is initialized.
+ 		 *
+ 		 * @since 3.1.0
+ 		 */
  		do_action( 'admin_bar_init' );
  	}
  
***************
*** 487,492 ****
--- 496,506 ----
  
  		add_action( 'admin_bar_menu', 'wp_admin_bar_add_secondary_groups', 200 );
  
+ 		/**
+ 		 * Fires after menus are added to the menu bar.
+ 		 *
+ 		 * @since 3.1.0
+ 		 */
  		do_action( 'add_admin_bar_menus' );
  	}
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-customize-section.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-customize-section.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-customize-section.php	2013-02-14 16:58:04.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-customize-section.php	2013-08-23 11:18:10.000000000 -0500
***************
*** 80,87 ****
  	protected function render() {
  		?>
  		<li id="accordion-section-<?php echo esc_attr( $this->id ); ?>" class="control-section accordion-section">
! 			<h3 class="accordion-section-title" tabindex="0" title="<?php echo esc_attr( $this->description ); ?>"><?php echo esc_html( $this->title ); ?></h3>
  			<ul class="accordion-section-content">
  				<?php
  				foreach ( $this->controls as $control )
  					$control->maybe_render();
--- 80,90 ----
  	protected function render() {
  		?>
  		<li id="accordion-section-<?php echo esc_attr( $this->id ); ?>" class="control-section accordion-section">
! 			<h3 class="accordion-section-title" tabindex="0"><?php echo esc_html( $this->title ); ?></h3>
  			<ul class="accordion-section-content">
+ 				<?php if ( ! empty( $this->description ) ) : ?>
+ 				<li><p class="description"><?php echo $this->description; ?></p></li>
+ 				<?php endif; ?>
  				<?php
  				foreach ( $this->controls as $control )
  					$control->maybe_render();
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class.wp-dependencies.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class.wp-dependencies.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class.wp-dependencies.php	2012-10-23 15:32:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class.wp-dependencies.php	2013-09-20 14:54:10.000000000 -0500
***************
*** 1,51 ****
  <?php
  /**
!  * BackPress Scripts enqueue.
   *
!  * These classes were refactored from the WordPress WP_Scripts and WordPress
!  * script enqueue API.
   *
!  * @package BackPress
!  * @since r74
!  */
! 
! /**
!  * BackPress enqueued dependiences class.
   *
   * @package BackPress
   * @uses _WP_Dependency
   * @since r74
   */
  class WP_Dependencies {
  	var $registered = array();
  	var $queue = array();
  	var $to_do = array();
  	var $done = array();
  	var $args = array();
  	var $groups = array();
  	var $group = 0;
  
  	/**
! 	 * Do the dependencies
  	 *
! 	 * Process the items passed to it or the queue. Processes all dependencies.
  	 *
! 	 * @param mixed $handles (optional) items to be processed. (void) processes queue, (string) process that item, (array of strings) process those items
! 	 * @return array Items that have been processed
  	 */
! 	function do_items( $handles = false, $group = false ) {
! 		// Print the queue if nothing is passed. If a string is passed, print that script. If an array is passed, print those scripts.
  		$handles = false === $handles ? $this->queue : (array) $handles;
  		$this->all_deps( $handles );
  
  		foreach( $this->to_do as $key => $handle ) {
  			if ( !in_array($handle, $this->done, true) && isset($this->registered[$handle]) ) {
  
! 				if ( ! $this->registered[$handle]->src ) { // Defines a group.
  					$this->done[] = $handle;
  					continue;
  				}
  
  				if ( $this->do_item( $handle, $group ) )
  					$this->done[] = $handle;
  
--- 1,124 ----
  <?php
  /**
!  * BackPress Scripts enqueue
   *
!  * Classes were refactored from the WP_Scripts and WordPress script enqueue API.
   *
!  * @since BackPress r74
   *
   * @package BackPress
   * @uses _WP_Dependency
   * @since r74
   */
  class WP_Dependencies {
+ 	/**
+ 	 * An array of registered handle objects.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.8
+ 	 * @var array
+ 	 */
  	var $registered = array();
+ 
+ 	/**
+ 	 * An array of queued _WP_Dependency handle objects.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.8
+ 	 * @var array
+ 	 */
  	var $queue = array();
+ 
+ 	/**
+ 	 * An array of _WP_Dependency handle objects to queue.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var array
+ 	 */
  	var $to_do = array();
+ 
+ 	/**
+ 	 * An array of _WP_Dependency handle objects already queued.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var array
+ 	 */
  	var $done = array();
+ 
+ 	/**
+ 	 * An array of additional arguments passed when a handle is registered.
+ 	 *
+ 	 * Arguments are appended to the item query string.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var array
+ 	 */
  	var $args = array();
+ 
+ 	/**
+ 	 * An array of handle groups to enqueue.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.8.0
+ 	 * @var array
+ 	 */
  	var $groups = array();
+ 
+ 	/**
+ 	 * A handle group to enqueue.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.8.0
+ 	 * @var int
+ 	 */
  	var $group = 0;
  
  	/**
! 	 * Process the items and dependencies.
! 	 *
! 	 * Processes the items passed to it or the queue, and their dependencies.
  	 *
! 	 * @access public
! 	 * @since 2.1.0
  	 *
! 	 * @param mixed $handles Optional. Items to be processed: Process queue (false), process item (string), process items (array of strings).
! 	 * @param mixed $group   Group level: level (int), no groups (false).
! 	 * @return array Handles of items that have been processed.
  	 */
! 	public function do_items( $handles = false, $group = false ) {
! 		/**
! 		 * If nothing is passed, print the queue. If a string is passed,
! 		 * print that item. If an array is passed, print those items.
! 		 */
  		$handles = false === $handles ? $this->queue : (array) $handles;
  		$this->all_deps( $handles );
  
  		foreach( $this->to_do as $key => $handle ) {
  			if ( !in_array($handle, $this->done, true) && isset($this->registered[$handle]) ) {
  
! 				/**
! 				 * A single item may alias a set of items, by having dependencies,
! 				 * but no source. Queuing the item queues the dependencies.
! 				 *
! 				 * Example: The extending class WP_Scripts is used to register 'scriptaculous' as a set of registered handles:
! 				 *   <code>add( 'scriptaculous', false, array( 'scriptaculous-dragdrop', 'scriptaculous-slider', 'scriptaculous-controls' ) );</code>
! 				 *
! 				 * The src property is false.
! 				**/
! 				if ( ! $this->registered[$handle]->src ) {
  					$this->done[] = $handle;
  					continue;
  				}
  
+ 				/**
+ 				 * Attempt to process the item. If successful,
+ 				 * add the handle to the done array.
+ 				 *
+ 				 * Unset the item from the to_do array.
+ 				 */
  				if ( $this->do_item( $handle, $group ) )
  					$this->done[] = $handle;
  
***************
*** 56,75 ****
  		return $this->done;
  	}
  
! 	function do_item( $handle ) {
  		return isset($this->registered[$handle]);
  	}
  
  	/**
! 	 * Determines dependencies
  	 *
! 	 * Recursively builds array of items to process taking dependencies into account. Does NOT catch infinite loops.
  	 *
  	 *
! 	 * @param mixed $handles Accepts (string) dep name or (array of strings) dep names
! 	 * @param bool $recursion Used internally when function calls itself
  	 */
! 	function all_deps( $handles, $recursion = false, $group = false ) {
  		if ( !$handles = (array) $handles )
  			return false;
  
--- 129,162 ----
  		return $this->done;
  	}
  
! 	/**
! 	 * Process a dependency.
! 	 *
! 	 * @access public
! 	 * @since 2.6.0
! 	 *
! 	 * @param string $handle Name of the item. Should be unique.
! 	 * @return bool True on success, false if not set.
! 	 */
! 	public function do_item( $handle ) {
  		return isset($this->registered[$handle]);
  	}
  
  	/**
! 	 * Determine dependencies.
  	 *
! 	 * Recursively builds an array of items to process taking
! 	 * dependencies into account. Does NOT catch infinite loops.
  	 *
+ 	 * @access public
+ 	 * @since 2.1.0
  	 *
! 	 * @param mixed $handles   Item handle and argument (string) or item handles and arguments (array of strings).
! 	 * @param bool  $recursion Internal flag that function is calling itself.
! 	 * @param mixed $group     Group level: (int) level, (false) no groups.
! 	 * @return bool True on success, false on failure.
  	 */
! 	public function all_deps( $handles, $recursion = false, $group = false ) {
  		if ( !$handles = (array) $handles )
  			return false;
  
***************
*** 88,107 ****
  
  			$keep_going = true;
  			if ( !isset($this->registered[$handle]) )
! 				$keep_going = false; // Script doesn't exist
  			elseif ( $this->registered[$handle]->deps && array_diff($this->registered[$handle]->deps, array_keys($this->registered)) )
! 				$keep_going = false; // Script requires deps which don't exist (not a necessary check. efficiency?)
  			elseif ( $this->registered[$handle]->deps && !$this->all_deps( $this->registered[$handle]->deps, true, $group ) )
! 				$keep_going = false; // Script requires deps which don't exist
  
! 			if ( !$keep_going ) { // Either script or its deps don't exist.
  				if ( $recursion )
  					return false; // Abort this branch.
  				else
  					continue; // We're at the top level. Move on to the next one.
  			}
  
! 			if ( $queued ) // Already grobbed it and its deps
  				continue;
  
  			if ( isset($handle_parts[1]) )
--- 175,194 ----
  
  			$keep_going = true;
  			if ( !isset($this->registered[$handle]) )
! 				$keep_going = false; // Item doesn't exist.
  			elseif ( $this->registered[$handle]->deps && array_diff($this->registered[$handle]->deps, array_keys($this->registered)) )
! 				$keep_going = false; // Item requires dependencies that don't exist.
  			elseif ( $this->registered[$handle]->deps && !$this->all_deps( $this->registered[$handle]->deps, true, $group ) )
! 				$keep_going = false; // Item requires dependencies that don't exist.
  
! 			if ( ! $keep_going ) { // Either item or its dependencies don't exist.
  				if ( $recursion )
  					return false; // Abort this branch.
  				else
  					continue; // We're at the top level. Move on to the next one.
  			}
  
! 			if ( $queued ) // Already grabbed it and its dependencies.
  				continue;
  
  			if ( isset($handle_parts[1]) )
***************
*** 114,130 ****
  	}
  
  	/**
! 	 * Adds item
  	 *
! 	 * Adds the item only if no item of that name already exists
  	 *
! 	 * @param string $handle Script name
! 	 * @param string $src Script url
! 	 * @param array $deps (optional) Array of script names on which this script depends
! 	 * @param string $ver (optional) Script version (used for cache busting)
! 	 * @return array Hierarchical array of dependencies
  	 */
! 	function add( $handle, $src, $deps = array(), $ver = false, $args = null ) {
  		if ( isset($this->registered[$handle]) )
  			return false;
  		$this->registered[$handle] = new _WP_Dependency( $handle, $src, $deps, $ver, $args );
--- 201,221 ----
  	}
  
  	/**
! 	 * Register an item.
! 	 *
! 	 * Registers the item if no item of that name already exists.
  	 *
! 	 * @access public
! 	 * @since 2.1.0
  	 *
! 	 * @param string $handle Unique item name.
! 	 * @param string $src    The item url.
! 	 * @param array  $deps   Optional. An array of item handle strings on which this item depends.
! 	 * @param string $ver    Optional. Version (used for cache busting).
! 	 * @param mixed  $args   Optional. Custom property of the item. NOT the class property $args. Examples: $media, $in_footer.
! 	 * @return bool True on success, false on failure.
  	 */
! 	public function add( $handle, $src, $deps = array(), $ver = false, $args = null ) {
  		if ( isset($this->registered[$handle]) )
  			return false;
  		$this->registered[$handle] = new _WP_Dependency( $handle, $src, $deps, $ver, $args );
***************
*** 132,147 ****
  	}
  
  	/**
! 	 * Adds extra data
  	 *
! 	 * Adds data only if script has already been added.
  	 *
! 	 * @param string $handle Script name
! 	 * @param string $key
! 	 * @param mixed $value
! 	 * @return bool success
  	 */
! 	function add_data( $handle, $key, $value ) {
  		if ( !isset( $this->registered[$handle] ) )
  			return false;
  
--- 223,241 ----
  	}
  
  	/**
! 	 * Add extra item data.
! 	 *
! 	 * Adds data to a registered item.
  	 *
! 	 * @access public
! 	 * @since 2.6.0
  	 *
! 	 * @param string $handle Name of the item. Should be unique.
! 	 * @param string $key    The data key.
! 	 * @param mixed  $value  The data value.
! 	 * @return bool True on success, false on failure.
  	 */
! 	public function add_data( $handle, $key, $value ) {
  		if ( !isset( $this->registered[$handle] ) )
  			return false;
  
***************
*** 149,165 ****
  	}
  
  	/**
! 	 * Get extra data
  	 *
! 	 * Gets data associated with a certain handle.
  	 *
! 	 * @since WP 3.3
  	 *
! 	 * @param string $handle Script name
! 	 * @param string $key
! 	 * @return mixed
  	 */
! 	function get_data( $handle, $key ) {
  		if ( !isset( $this->registered[$handle] ) )
  			return false;
  
--- 243,260 ----
  	}
  
  	/**
! 	 * Get extra item data.
  	 *
! 	 * Gets data associated with a registered item.
  	 *
! 	 * @access public
! 	 * @since 3.3.0
  	 *
! 	 * @param string $handle Name of the item. Should be unique.
! 	 * @param string $key    The data key.
! 	 * @return mixed Extra item data (string), false otherwise.
  	 */
! 	public function get_data( $handle, $key ) {
  		if ( !isset( $this->registered[$handle] ) )
  			return false;
  
***************
*** 169,180 ****
  		return $this->registered[$handle]->extra[$key];
  	}
  
! 	function remove( $handles ) {
  		foreach ( (array) $handles as $handle )
  			unset($this->registered[$handle]);
  	}
  
! 	function enqueue( $handles ) {
  		foreach ( (array) $handles as $handle ) {
  			$handle = explode('?', $handle);
  			if ( !in_array($handle[0], $this->queue) && isset($this->registered[$handle[0]]) ) {
--- 264,297 ----
  		return $this->registered[$handle]->extra[$key];
  	}
  
! 	/**
! 	 * Un-register an item or items.
! 	 *
! 	 * @access public
! 	 * @since 2.1.0
! 	 *
! 	 * @param mixed $handles Item handle and argument (string) or item handles and arguments (array of strings).
! 	 * @return void
! 	 */
! 	public function remove( $handles ) {
  		foreach ( (array) $handles as $handle )
  			unset($this->registered[$handle]);
  	}
  
! 	/**
! 	 * Queue an item or items.
! 	 *
! 	 * Decodes handles and arguments, then queues handles and stores
! 	 * arguments in the class property $args. For example in extending
! 	 * classes, $args is appended to the item url as a query string.
! 	 * Note $args is NOT the $args property of items in the $registered array.
! 	 *
! 	 * @access public
! 	 * @since 2.1.0
! 	 *
! 	 * @param mixed $handles Item handle and argument (string) or item handles and arguments (array of strings).
! 	 */
! 	public function enqueue( $handles ) {
  		foreach ( (array) $handles as $handle ) {
  			$handle = explode('?', $handle);
  			if ( !in_array($handle[0], $this->queue) && isset($this->registered[$handle[0]]) ) {
***************
*** 185,191 ****
  		}
  	}
  
! 	function dequeue( $handles ) {
  		foreach ( (array) $handles as $handle ) {
  			$handle = explode('?', $handle);
  			$key = array_search($handle[0], $this->queue);
--- 302,319 ----
  		}
  	}
  
! 	/**
! 	 * Dequeue an item or items.
! 	 *
! 	 * Decodes handles and arguments, then dequeues handles
! 	 * and removes arguments from the class property $args.
! 	 *
! 	 * @access public
! 	 * @since 2.1.0
! 	 *
! 	 * @param mixed $handles Item handle and argument (string) or item handles and arguments (array of strings).
! 	 */
! 	public function dequeue( $handles ) {
  		foreach ( (array) $handles as $handle ) {
  			$handle = explode('?', $handle);
  			$key = array_search($handle[0], $this->queue);
***************
*** 196,203 ****
  		}
  	}
  
! 
! 	function query( $handle, $list = 'registered' ) {
  		switch ( $list ) {
  			case 'registered' :
  			case 'scripts': // back compat
--- 324,340 ----
  		}
  	}
  
! 	/**
! 	 * Query list for an item.
! 	 *
! 	 * @access public
! 	 * @since 2.1.0
! 	 *
! 	 * @param string $handle Name of the item. Should be unique.
! 	 * @param string $list   Property name of list array.
! 	 * @return bool Found, or object Item data.
! 	 */
! 	public function query( $handle, $list = 'registered' ) {
  		switch ( $list ) {
  			case 'registered' :
  			case 'scripts': // back compat
***************
*** 220,226 ****
  		return false;
  	}
  
! 	function set_group( $handle, $recursion, $group ) {
  		$group = (int) $group;
  
  		if ( $recursion )
--- 357,374 ----
  		return false;
  	}
  
! 	/**
! 	 * Set item group, unless already in a lower group.
! 	 *
! 	 * @access public
! 	 * @since 2.8.0
! 	 *
! 	 * @param string $handle    Name of the item. Should be unique.
! 	 * @param bool   $recursion Internal flag that calling function was called recursively.
! 	 * @param mixed  $group     Group level.
! 	 * @return bool Not already in the group or a lower group
! 	 */
! 	public function set_group( $handle, $recursion, $group ) {
  		$group = (int) $group;
  
  		if ( $recursion )
***************
*** 235,261 ****
  		return true;
  	}
  
! }
  
  class _WP_Dependency {
  	var $handle;
  	var $src;
  	var $deps = array();
  	var $ver = false;
- 	var $args = null;
  
  	var $extra = array();
  
  	function __construct() {
  		@list( $this->handle, $this->src, $this->deps, $this->ver, $this->args ) = func_get_args();
  		if ( ! is_array($this->deps) )
  			$this->deps = array();
  	}
  
  	function add_data( $name, $data ) {
  		if ( !is_scalar($name) )
  			return false;
  		$this->extra[$name] = $data;
  		return true;
  	}
! }
--- 383,481 ----
  		return true;
  	}
  
! } // WP_Dependencies
  
+ /**
+  * Class _WP_Dependency
+  *
+  * Helper class to register a handle and associated data.
+  *
+  * @access private
+  * @since 2.6.0
+  */
  class _WP_Dependency {
+ 	/**
+ 	 * The handle name.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var null
+ 	 */
  	var $handle;
+ 
+ 	/**
+ 	 * The handle source.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var null
+ 	 */
  	var $src;
+ 
+ 	/**
+ 	 * An array of handle dependencies.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var array
+ 	 */
  	var $deps = array();
+ 
+ 	/**
+ 	 * The handle version.
+ 	 *
+ 	 * Used for cache-busting.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var bool|string
+ 	 */
  	var $ver = false;
  
+ 	/**
+ 	 * Additional arguments for the handle.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var null
+ 	 */
+ 	var $args = null;  // Custom property, such as $in_footer or $media.
+ 
+ 	/**
+ 	 * Extra data to supply to the handle.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 * @var array
+ 	 */
  	var $extra = array();
  
+ 	/**
+ 	 * Setup dependencies.
+ 	 *
+ 	 * @since 2.6.0
+ 	 */
  	function __construct() {
  		@list( $this->handle, $this->src, $this->deps, $this->ver, $this->args ) = func_get_args();
  		if ( ! is_array($this->deps) )
  			$this->deps = array();
  	}
  
+ 	/**
+ 	 * Add handle data.
+ 	 *
+ 	 * @access public
+ 	 * @since 2.6.0
+ 	 *
+ 	 * @param string $name The data key to add.
+ 	 * @param mixed  $data The data value to add.
+ 	 * @return bool False if not scalar, true otherwise.
+ 	 */
  	function add_data( $name, $data ) {
  		if ( !is_scalar($name) )
  			return false;
  		$this->extra[$name] = $data;
  		return true;
  	}
! 
! } // _WP_Dependencies
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-editor.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-editor.php	2013-07-18 17:44:40.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-editor.php	2013-09-07 14:47:10.000000000 -0500
***************
*** 798,803 ****
--- 798,816 ----
  
  		$query['offset'] = $args['pagenum'] > 1 ? $query['posts_per_page'] * ( $args['pagenum'] - 1 ) : 0;
  
+ 		/**
+ 		 * Filter the link query arguments.
+ 		 *
+ 		 * Allows modification of the link query arguments before querying.
+ 		 *
+ 		 * @see WP_Query for a full list of arguments
+ 		 *
+ 		 * @since 3.7.0
+ 		 *
+ 		 * @param array $query An array of WP_Query arguments.
+ 		 */
+ 		$query = apply_filters( 'wp_link_query_args', $query );
+ 
  		// Do main query.
  		$get_posts = new WP_Query;
  		$posts = $get_posts->query( $query );
***************
*** 821,827 ****
  			);
  		}
  
! 		return $results;
  	}
  
  	/**
--- 834,859 ----
  			);
  		}
  
! 		/**
! 		 * Filter the link query results.
! 		 *
! 		 * Allows modification of the returned link query results.
! 		 *
! 		 * @since 3.7.0
! 		 *
! 		 * @param array $results {
! 		 *     An associative array of query results.
! 		 *
! 		 *     @type array {
! 		 *         @type int    'ID'        The post ID.
! 		 *         @type string 'title'     The trimmed, escaped post title.
! 		 *         @type string 'permalink' The post permalink.
! 		 *         @type string 'info'      A 'Y/m/d'-formatted date for 'post' post type, the 'singular_name' post type label otherwise.
! 		 *     }
! 		 * }
! 		 * @param array $query   An array of WP_Query arguments. @see 'wp_link_query_args' filter
! 		 */
! 		return apply_filters( 'wp_link_query', $results, $query );
  	}
  
  	/**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-embed.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-embed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-embed.php	2013-01-22 10:37:54.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-embed.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 153,158 ****
--- 153,167 ----
  			foreach ( $handlers as $id => $handler ) {
  				if ( preg_match( $handler['regex'], $url, $matches ) && is_callable( $handler['callback'] ) ) {
  					if ( false !== $return = call_user_func( $handler['callback'], $matches, $attr, $url, $rawattr ) )
+ 						/**
+ 						 * Filter the returned embed handler.
+ 						 *
+ 						 * @since 2.9.0
+ 						 *
+ 						 * @param mixed  $return The shortcode callback function to call.
+ 						 * @param string $url    The attempted embed URL.
+ 						 * @param array  $attr   An array of shortcode attributes.
+ 						 */
  						return apply_filters( 'embed_handler_html', $return, $url, $attr );
  				}
  			}
***************
*** 175,185 ****
  					return $this->maybe_make_link( $url );
  
  				if ( ! empty( $cache ) )
  					return apply_filters( 'embed_oembed_html', $cache, $url, $attr, $post_ID );
  			}
  
  			// Use oEmbed to get the HTML
- 			$attr['discover'] = ( apply_filters('embed_oembed_discover', false) && author_can( $post_ID, 'unfiltered_html' ) );
  			$html = wp_oembed_get( $url, $attr );
  
  			// Cache the result
--- 184,212 ----
  					return $this->maybe_make_link( $url );
  
  				if ( ! empty( $cache ) )
+ 					/**
+ 					 * Filter the cached oEmbed HTML.
+ 					 *
+ 					 * @since 2.9.0
+ 					 *
+ 					 * @param mixed  $cache   The cached HTML result, stored in post meta.
+ 					 * @param string $url     The attempted embed URL.
+ 					 * @param array  $attr    An array of shortcode attributes.
+ 					 * @param int    $post_ID Post ID.
+ 					 */
  					return apply_filters( 'embed_oembed_html', $cache, $url, $attr, $post_ID );
  			}
  
+ 			/**
+ 			 * Filter whether to inspect the given URL for discoverable <link> tags.
+ 			 *
+ 			 * @see WP_oEmbed::discover()
+ 			 *
+ 			 * @param bool false Whether to enable <link> tag discovery. Default false.
+ 			 */
+ 			$attr['discover'] = ( apply_filters( 'embed_oembed_discover', false ) && author_can( $post_ID, 'unfiltered_html' ) );
+ 
  			// Use oEmbed to get the HTML
  			$html = wp_oembed_get( $url, $attr );
  
  			// Cache the result
***************
*** 187,194 ****
  			update_post_meta( $post_ID, $cachekey, $cache );
  
  			// If there was a result, return it
! 			if ( $html )
  				return apply_filters( 'embed_oembed_html', $html, $url, $attr, $post_ID );
  		}
  
  		// Still unknown
--- 214,223 ----
  			update_post_meta( $post_ID, $cachekey, $cache );
  
  			// If there was a result, return it
! 			if ( $html ) {
! 				/** This filter is documented in wp-includes/class-wp-embed.php */
  				return apply_filters( 'embed_oembed_html', $html, $url, $attr, $post_ID );
+ 			}
  		}
  
  		// Still unknown
***************
*** 219,225 ****
  	function cache_oembed( $post_ID ) {
  		$post = get_post( $post_ID );
  
! 		if ( empty($post->ID) || !in_array( $post->post_type, apply_filters( 'embed_cache_oembed_types', array( 'post', 'page' ) ) ) )
  			return;
  
  		// Trigger a caching
--- 248,262 ----
  	function cache_oembed( $post_ID ) {
  		$post = get_post( $post_ID );
  
! 		$post_types = array( 'post', 'page' );
! 		/**
! 		 * Filter the array of post types to cache oEmbed results for.
! 		 *
! 		 * @since 2.9.0
! 		 *
! 		 * @param array $post_types Array of post types to cache oEmbed results for. Default 'post', 'page'.
! 		 */
! 		if ( empty($post->ID) || !in_array( $post->post_type, apply_filters( 'embed_cache_oembed_types', $post_types ) ) )
  			return;
  
  		// Trigger a caching
***************
*** 271,276 ****
--- 308,322 ----
  	 */
  	function maybe_make_link( $url ) {
  		$output = ( $this->linkifunknown ) ? '<a href="' . esc_url($url) . '">' . esc_html($url) . '</a>' : $url;
+ 
+ 		/**
+ 		 * Filter the returned, maybe-linked embed URL.
+ 		 *
+ 		 * @since 2.9.0
+ 		 *
+ 		 * @param string $output The linked or original URL.
+ 		 * @param string $url    The original URL.
+ 		 */
  		return apply_filters( 'embed_maybe_make_link', $output, $url );
  	}
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-image-editor-gd.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-image-editor-gd.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-image-editor-gd.php	2013-07-17 16:16:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-image-editor-gd.php	2013-10-08 12:19:09.000000000 -0500
***************
*** 175,191 ****
  	}
  
  	/**
! 	 * Processes current image and saves to disk
! 	 * multiple sizes from single source.
! 	 *
! 	 * 'width' and 'height' are required.
! 	 * 'crop' defaults to false when not provided.
  	 *
  	 * @since 3.5.0
  	 * @access public
  	 *
! 	 * @param array $sizes { {'width'=>int, 'height'=>int, ['crop'=>bool]}, ... }
! 	 * @return array
  	 */
  	public function multi_resize( $sizes ) {
  		$metadata = array();
--- 175,195 ----
  	}
  
  	/**
! 	 * Resize multiple images from a single source.
  	 *
  	 * @since 3.5.0
  	 * @access public
  	 *
! 	 * @param array $sizes {
! 	 *     An array of image size arrays. Default sizes are 'small', 'medium', 'large'.
! 	 *
! 	 *     @type array $size {
! 	 *         @type int  $width  Image width.
! 	 *         @type int  $height Image height.
! 	 *         @type bool $crop   Optional. Whether to crop the image. Default false.
! 	 *     }
! 	 * }
! 	 * @return array An array of resized images metadata by size.
  	 */
  	public function multi_resize( $sizes ) {
  		$metadata = array();
